Information Exposure Affecting microsoft.chakracore Open this link in a new tab package, versions [1.2.0,1.4.2)


0.0
medium
  • Attack Complexity

    Low

  • User Interaction

    Required

  • Confidentiality

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-DOTNET-MICROSOFTCHAKRACORE-174437

  • published

    18 Apr 2019

  • disclosed

    20 Jan 2017

  • credit

    Unknown

How to fix?

Upgrade Microsoft.ChakraCore to version 1.4.2 or higher.

Overview

Microsoft.ChakraCore is the core part of the Chakra Javascript engine that powers Microsoft Edge.

Affected versions of this package are vulnerable to Information Exposure. A remote attacker may be able to retrieve sensitive information which would aids in further attacks against the system. This is due to a lack of validation of the length in IsMissingItem function.

References